package de.vanitasvitae.sticktoalbum;

import android.content.SharedPreferences;
import android.os.Bundle;
import android.os.Environment;
import android.preference.PreferenceActivity;
import android.preference.PreferenceManager;

/**
 * Created by vanitas on 10.05.15.
 */
public class SettingsActivity extends PreferenceActivity implements SharedPreferences.OnSharedPreferenceChangeListener
{
    public final static String KEY_PREF_APP_PATH = "pref_app_path";

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        addPreferencesFromResource(R.layout.settings);
        getPreferenceScreen().getSharedPreferences()
                .registerOnSharedPreferenceChangeListener(this);
    }

    public void onSharedPreferenceChanged(SharedPreferences sharedPreferences,
                                          String key) {
        if (key.equals(KEY_PREF_APP_PATH)) {
            SharedPreferences sharedPref = PreferenceManager.getDefaultSharedPreferences(this);
            String appDirectoryPath = sharedPref.getString(SettingsActivity.KEY_PREF_APP_PATH, "");
            if(appDirectoryPath.isEmpty())
            {
                String path = Environment.getExternalStorageDirectory().getAbsolutePath()+"/Pictures/Albums/";
                SharedPreferences.Editor prefs = PreferenceManager.getDefaultSharedPreferences(this).edit();
                prefs.putString(SettingsActivity.KEY_PREF_APP_PATH, path);
                prefs.apply();
            }
        }
    }
}